Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class AbstractCodec

    java.lang.Object
      |
      +--weblogic.webservice.encoding.AbstractCodec

Direct Known Subclasses:
  AttachmentCodec

public abstract class AbstractCodec
extends java.lang.Object
implements Serializer, Deserializer, javax.xml.rpc.encoding.SerializerFactory, javax.xml.rpc.encoding.DeserializerFactory

An abstract base class for writing stream based codecs to be used in the WLS JAX-RPC based binding framework.

See Also:
  Serialized Form

Constructor Summary
`AbstractCodec()`

Method Summary
`javax.xml.rpc.encoding.Deserializer` | `getDeserializerAs(java.lang.String mechanism)`
`java.lang.String` | `getMechanismType()`
`javax.xml.rpc.encoding.Serializer` | `getSerializerAs(java.lang.String mechanism)`
`java.util.Iterator` | `getSupportedMechanismTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCodec

    public AbstractCodec()

Method Detail

### getMechanismType

    public java.lang.String getMechanismType()

### getDeserializerAs

    public javax.xml.rpc.encoding.Deserializer getDeserializerAs(java.lang.String mechanism)
                                                          throws javax.xml.rpc.JAXRPCException

  Specified by:
    getDeserializerAs in interface javax.xml.rpc.encoding.DeserializerFactory

### getSerializerAs

    public javax.xml.rpc.encoding.Serializer getSerializerAs(java.lang.String mechanism)
                                                      throws javax.xml.rpc.JAXRPCException

  Specified by:
    getSerializerAs in interface javax.xml.rpc.encoding.SerializerFactory

### getSupportedMechanismTypes

    public java.util.Iterator getSupportedMechanismTypes()

  Specified by:
    getSupportedMechanismTypes in interface javax.xml.rpc.encoding.SerializerFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference